/*This class represents a rule in a right linear grammar*/

import java.util.*;

class Rule {
    int numTimesUsed;
    Vector rhs;
    String lhs;
    int ruleID;
    int ruleSize;

    //add methods to deal with this data


    /** Converts a Rule to a string for printing. */
    public String toString(){
        String retString  = "**[RULE]**\t (" + ruleID +") "+lhs+ " -> ";
        for(Enumeration e = rhs.elements(); e.hasMoreElements(); ){
            retString = retString + " " +e.nextElement();
        }
        retString = retString+ " ("+ruleSize +", " + numTimesUsed + ")";
        return retString;
    }

}
